Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224369 - Gnome panel icons dont respond when open for extended periods of time
Summary: Gnome panel icons dont respond when open for extended periods of time
Keywords:
Status: CLOSED DUPLICATE of bug 213283
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 13:52 UTC by David Timms
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-18 17:00:35 UTC


Attachments (Terms of Use)

Description David Timms 2007-01-25 13:52:15 UTC
+++ This bug was initially created as a clone of Bug #213283 +++

Description of problem:
I have seen this mainly on an x86_64 {AMD AM2} machine. Each time it occurs, the
buttons/elements in the panel {ie the applications menu, places, System, and the
web browser, office {etc} icons would be inactive, but the mouse is active -
moving around the screen OK. If I already had a gnome-terminal open, I could
click in it and do top, kill etc. 

Clicking in the time display shows and hides the calendar OK.

The main UI in my case is via VNC.

The workaround was to ssh to the machine, vncserver -kill the vnc server, then
kill the gnome-panel, restart vnc server

How reproducible:
Maybe more reproducible when system-config-display is not installed. Since
installing it on 2007-01-16, the issue has not returned, nor has the machine
been rebooted.

More info:
I hadn't actually looked at the real display of the machine for months {it
doesn't have a monitor plugged in}. I then got a hint from a log that it was
having trouble starting an X session. I realized I didn't have the normal
-drv-nv package installed for the nvidia chip in it. I then telinit 3, installed
system-config-display and xorg-x11-drv-nv. I had thought that the machine was in
runlevel 3, but it was trying to goto runlevel 5, and failing.

The second hint might come from noting that about three different times, soon
after clicking the web browser icon {perhaps at exactly that point}, would be
when the gnome-panel menus/icons would stop working.

When this happens, all the open apps continue to operate normally {eg gkrellm
updating, gedit able to type and edit. {might be something to look out for f7
server spin!}

So, should a machine without startable X {eg driver not installed}, continue to
work normally through a vncserver session ? There isn't enough info in the
original bug to decide if this matches the same circumstances.

Comment 1 Hans de Goede 2007-07-18 17:00:35 UTC
There are many reports of this, which are all being closed now as dup of 213283,
please add further comments in bug 213283.


*** This bug has been marked as a duplicate of 213283 ***


Note You need to log in before you can comment on or make changes to this bug.